xn::ModuleProductionNode Class Reference

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleProductionNode:
[legend]

## Public Member Functions

virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleProductionNode()

virtual xn::ModuleProductionNode::~ModuleProductionNode | ( |  | ) |

inline virtual

## Member Function Documentation

## GetErrorStateInterface()

virtual ModuleErrorStateInterface * xn::ModuleProductionNode::GetErrorStateInterface | ( |  | ) |

inline virtual

## GetExtendedSerializationInterface()

virtual ModuleExtendedSerializationInterface * xn::ModuleProductionNode::GetExtendedSerializationInterface | ( |  | ) |

inline virtual

## GetGeneralIntInterface()

virtual ModuleGeneralIntInterface * xn::ModuleProductionNode::GetGeneralIntInterface | ( | const XnChar * |  | ) |

inline virtual

## GetGeneralProperty()

virtual XnStatus xn::ModuleProductionNode::GetGeneralProperty | ( | const XnChar * | ,
|  | XnUInt32 | ,
|  | void * | ) const

inline virtual

## GetIntProperty()

virtual XnStatus xn::ModuleProductionNode::GetIntProperty | ( | const XnChar * | ,
|  | XnUInt64 & | ) const

inline virtual

## GetLockAwareInterface()

virtual ModuleLockAwareInterface * xn::ModuleProductionNode::GetLockAwareInterface | ( |  | ) |

inline virtual

## GetRealProperty()

virtual XnStatus xn::ModuleProductionNode::GetRealProperty | ( | const XnChar * | ,
|  | XnDouble & | ) const

inline virtual

## GetStringProperty()

virtual XnStatus xn::ModuleProductionNode::GetStringProperty | ( | const XnChar * | ,
|  | XnChar * | ,
|  | XnUInt32 | ) const

inline virtual

## IsCapabilitySupported()

virtual XnBool xn::ModuleProductionNode::IsCapabilitySupported | ( | const XnChar * |  | ) |

inline virtual

## SetGeneralProperty()

virtual XnStatus xn::ModuleProductionNode::SetGeneralProperty | ( | const XnChar * | ,
|  | XnUInt32 | ,
|  | const void * | )

inline virtual

## SetIntProperty()

virtual XnStatus xn::ModuleProductionNode::SetIntProperty | ( | const XnChar * | ,
|  | XnUInt64 | )

inline virtual

## SetRealProperty()

virtual XnStatus xn::ModuleProductionNode::SetRealProperty | ( | const XnChar * | ,
|  | XnDouble | )

inline virtual

## SetStringProperty()

virtual XnStatus xn::ModuleProductionNode::SetStringProperty | ( | const XnChar * | ,
|  | const XnChar * | )

inline virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h